Subject: Re: bug#16857: 24.3.50; Incorrect output from `list-load-path-shadows'

From: Stefan Monnier <[email-masked]>
Date: Mon, 24 Feb 2014 16:03:03 -0500

>   2. I get warning messages on startup about Emacs' cl-lib being
>      shadowed ("Real cl-lib shadowed by compatibility cl-lib?
>      (/home/nathan/opt/elisp/slime/lib/cl-lib.elc)").

This message comes from slime's cl-lib which shadows Emacs's.
But slime's cl-lib detects the problem, outputs the message, and tries
to work around the problem by changing load-path so that slime's cl-lib
doesn't hide Emacs's any more.

So the "what shadows what" question depends on whether you ask it before
loading cl-lib or afterwards.

        Stefan